library verilog;
use verilog.vl_types.all;
entity de2_i2c_av_config is
    generic(
        CLK_Freq        : integer := 50000000;
        I2C_Freq        : integer := 20000;
        LUT_SIZE        : integer := 10;
        SET_LIN_L       : integer := 0;
        SET_LIN_R       : integer := 1;
        SET_HEAD_L      : integer := 2;
        SET_HEAD_R      : integer := 3;
        A_PATH_CTRL     : integer := 4;
        D_PATH_CTRL     : integer := 5;
        POWER_ON        : integer := 6;
        SET_FORMAT      : integer := 7;
        SAMPLE_CTRL     : integer := 8;
        SET_ACTIVE      : integer := 9
    );
    port(
        iCLK            : in     vl_logic;
        iRST_N          : in     vl_logic;
        I2C_SCLK        : out    vl_logic;
        I2C_SDAT        : inout  vl_logic;
        left_valid      : in     vl_logic;
        left_data       : in     vl_logic_vector(6 downto 0);
        right_valid     : in     vl_logic;
        right_data      : in     vl_logic_vector(6 downto 0)
    );
end de2_i2c_av_config;
